program main

!   This solves a highly singular test system.
!   David H Bailey    2008-01-09

implicit none
integer i, j
double precision a(2,2), x(2), b(2), det

a(1,1) = 0.25510582d0
a(1,2) = 0.52746197d0
a(2,1) = 0.80143857d0
a(2,2) = 1.65707065d0
b(1) =   0.79981812d0
b(2) =   2.51270273d0

det = a(1,1)*a(2,2) - a(2,1)*a(1,2)
x(1) = (b(1)*a(2,2) - b(2)*a(1,2)) / det
x(2) = (b(2)*a(1,1) - b(1)*a(2,1)) / det

write (6, *) 'det, x(1), x(2) ='
write (6, '(1p,3d25.15)') det, x(1), x(2)
stop
end
